Bug 492642 - iSCSI install fails - LVMError: vgcreate failed for vg_test1055
iSCSI install fails - LVMError: vgcreate failed for vg_test1055
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
11
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: LVM and device-mapper development team
Fedora Extras Quality Assurance
anaconda_trace_hash:c2bf9c9e876cbeb93...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-27 15:35 EDT by James Laska
Modified: 2013-09-02 02:34 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-27 12:09:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (261.34 KB, text/plain)
2009-03-27 15:35 EDT, James Laska
no flags Details
anaconda (29.50 KB, application/octet-stream)
2009-03-27 15:37 EDT, James Laska
no flags Details

  None (edit)
Description James Laska 2009-03-27 15:35:28 EDT
The following was filed automatically by anaconda:
anaconda 11.5.0.38 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/storage/devicelibs/lvm.py", line 253, in vgcreate
    raise LVMError("vgcreate failed for %s" % vg_name)
  File "/usr/lib/anaconda/storage/devices.py", line 1655, in create
    lvm.vgcreate(self.name, pv_list, self.peSize)
  File "/usr/lib/anaconda/storage/deviceaction.py", line 206, in execute
    self.device.create(intf=intf)
  File "/usr/lib/anaconda/storage/devicetree.py", line 659, in processActions
    action.execute(intf=self.intf)
  File "/usr/lib/anaconda/storage/__init__.py", line 210, in doIt
    self.devicetree.processActions()
  File "/usr/lib/anaconda/packages.py", line 115, in turnOnFilesystems
    anaconda.id.storage.doIt()
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 128, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1317, in nextClicked
    self.anaconda.dispatch.gotoNext()
LVMError: vgcreate failed for vg_test1055
Comment 1 James Laska 2009-03-27 15:35:34 EDT
Created attachment 337055 [details]
Attached traceback automatically from anaconda.
Comment 2 James Laska 2009-03-27 15:37:47 EDT
Created attachment 337056 [details]
anaconda 

-rw-r--r-- root/root     83004 2009-03-27 15:29 tmp/anaconda.log
-rw-r--r-- root/root      6562 2009-03-27 15:29 tmp/program.log
-rw-r--r-- root/root    138581 2009-03-27 15:29 tmp/storage.log
-rw-r--r-- root/root     33224 2009-03-27 15:33 tmp/syslog
-rwxr-xr-x root/root       912 2009-03-27 15:10 tmp/vncserver.log
Comment 3 Joel Andres Granados 2009-03-30 05:50:54 EDT
Seems like we are trying to add a PV to a VG that already has the PV :)
Comment 4 Joel Andres Granados 2009-03-30 05:54:36 EDT
(In reply to comment #3)
> Seems like we are trying to add a PV to a VG that already has the PV :)  
Scratch that. We are trying to add an already owned PV.
Comment 5 Joel Andres Granados 2009-04-07 12:46:31 EDT
Running... ['lvm', 'vgremove', 'vg_test90']
  /var/lock/lvm/V_vg_test90: flock failed: Resource temporarily unavailable
  Can't lock volume group vg_test90: skipping

There is a case in vgremove that we don't handle.
Comment 6 Joel Andres Granados 2009-04-08 06:07:20 EDT
The problem here is that somehow the lvm VG did not get removed properly.  Anaconda gave the order to remove and lvm did not return an error, so anaconda went on its marry way assuming that the lvm VG was removed.  This could be an lvm issue due to the fact that lvm does not return properly after an error.
Comment 7 Milan Broz 2009-04-08 09:27:41 EDT
Well, there is probably bug in return code for vgreduce if flock() call return EWOULDBLOCK.

But, the main problem is why locking returns this code. I guess that there is another (not finished) lvm command running, which has VG locked.
Isn't possible that anaconda run vgreduce in parallel with other command?
Comment 8 Chris Lumens 2009-04-14 10:24:24 EDT
No, anaconda only does one lvm operation at a time.  Reassigning on the basis of comments #6 and #7.
Comment 9 Milan Broz 2009-04-14 10:39:55 EDT
the vgremove return code is fixed in upstream cvs now, but it helps here only that the error is properly detected, so anaconda can fail properly :-)

but the root cause why flock fail is still unknown...
Comment 10 Bug Zapper 2009-06-09 08:45:05 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-04-27 09:21:05 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.